package com.ruoyi.rocketmq.service;

import com.ruoyi.rocketmq.domain.RmResourceRemote;

import java.util.List;
import java.util.Map;

/**
 * 资源远程管理Service接口
 * 
 * @author gyt
 * @date 2025-09-15
 */
public interface IRmResourceRemoteService 
{
    /**
     * 查询资源远程管理
     * 
     * @param id 资源远程管理主键
     * @return 资源远程管理
     */
    public RmResourceRemote selectRmResourceRemoteById(Long id);

    /**
     * 查询资源远程管理列表
     * 
     * @param rmResourceRemote 资源远程管理
     * @return 资源远程管理集合
     */
    public List<RmResourceRemote> selectRmResourceRemoteList(RmResourceRemote rmResourceRemote);

    /**
     * 新增资源远程管理
     * 
     * @param rmResourceRemote 资源远程管理
     * @return 结果
     */
    public int insertRmResourceRemote(RmResourceRemote rmResourceRemote);

    /**
     * 修改资源远程管理
     * 
     * @param rmResourceRemote 资源远程管理
     * @return 结果
     */
    public int updateRmResourceRemote(RmResourceRemote rmResourceRemote);

    /**
     * 批量删除资源远程管理
     * 
     * @param ids 需要删除的资源远程管理主键集合
     * @return 结果
     */
    public int deleteRmResourceRemoteByIds(Long[] ids);

    /**
     * 删除资源远程管理信息
     * 
     * @param id 资源远程管理主键
     * @return 结果
     */
    public int deleteRmResourceRemoteById(Long id);

    Map<String,Object> getScriptResultBySn(RmResourceRemote rmResourceRemote);
}
